petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMCoarsenHierarchy_Moab

Generate a multi-level DM hierarchy by succesively coarsening a refined mesh.

### Synopsis

    PETSC_EXTERN PetscErrorCode DMCoarsenHierarchy_Moab(DM dm, PetscInt nlevels, DM dmc[])

Collective

### Input Parameter

dm -The DMMoab object

### Output Parameter

| nlevels | - The number of levels of refinement needed to generate the hierarchy
| dmc | - The DM objects after successive coarsening of the hierarchy

### Level

beginner

### Location

src/dm/impls/moab/dmmbmg.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages